Tutorial Général pour Enemy-Territory de ce très bon FPS dans sa version Gnu/Linux .

I] Installation de Enemy Territory

Requis

L'accélération 3d droit être activée sur votre installation (drivers nvidia, ATI, intel installés )

Il faut également installer la libgtk1.2 ( facultatif ) via Synaptic ou en console:

sudo aptitude install libgtk1.2



Récupérer le binaire d’installation ainsi que le patch 2.60b :

wget -c http://ftp.games.skynet.be/pub/wolfenstein/et-linux-2.60.x86.run

wget -c http://julien.is.not.free.fr/patch.zip

Installation et Mise à jour

Dans une console :

sudo bash et-linux-2.60.x86.run

Laissez vous guider par l’interface graphique...

Pour patcher le jeu en 2.60b, décompressez le fichier « patch.zip ». Copiez les fichiers « etded.x86 » et « et.x86 » se trouvant dans le dossier patch dans le répertoire « /usr/local/games/enemy-territory/ » :

sudo cp ~/patch/et.x86 /usr/local/games/enemy-territory/

sudo cp ~/patch/etded.x86 /usr/local/games/enemy-territory/


II] Mise à jour de Punkbuster

PunkBuster vous bannit après quelques minutes ?

Ce problème viendrait de la version 2.60b d'ET. Pour le résoudre, il vous faut mettre à jour PB. Téléchargez ce fichier, ensuite en console :

sudo aptitude install upx-ucl

chmod +x pbsetup.run

sudo upx -d pbsetup.run

sudo ./pbsetup.run

laissez-vous guider par l'interface du programme ...

IIi] Configuration du son

Le problème majeur est que enemy-territory utilise encore le serveur de son OSS, la manipulation suivante utilise un patch non officiel qui va lui permettre d'utiliser Alsa, à utiliser donc à vos risques et périls, mais sachez que je n'ai rencontré aucuns problèmes à l'utilisation de ce patch à ce jour. j'utilise également un script personnalisé pour le lancement du jeu qui me demande à l'aide de boites de dialogues l'ip et le pass du serveur que je veux joindre avant le lancement de celui-ci .

Récupérer le patch ainsi que mon script pour le lancement du jeu :

wget -c http://julien.is.not.free.fr/rtcw

wget -c http://julien.is.not.free.fr/et-sdl-sound.so

Déplacer et attribuer les droits du patch et du script :

sudo mv rtcw /usr/local/sbin

sudo chmod +x /usr/local/sbin/rtcw

sudo mv et-sdl-sound.so /usr/local/games/enemy-territory

sudo chmod +x /usr/local/games/enemy-territory/et-sdl-sound.so

Pour jouer il vous suffit de faire en console :

rtcw

Si comme moi vous utilisez intrepid vous remarquerez surement que les boites de dialogue ne se lancent pas au premier plan ... pour corriger ceci il faut patcher zenity avec le patch suivant:

wget -c http://launchpadlibrarian.net/18653141/zen...4.0-focus.patch

pour l'installer (si vous lavez téléchargé sur le Bureau):

sudo patch -p0 /usr/share/zenity/zenity.glade < Bureau/zenity-2.24.0-focus.patch

Voila bon jeu ;)